Infrastructure - Task #2432

Bug # 2429 (Closed): knb mn's failing certain authorization tests

knb not handling verified flag properly
2012-03-02 19:40 - Rob Nahf

Start date:
Due date:

% Done:

Estimated time:

Story Points:

2012-03-02

100%
0.00 hour

Status: Closed

Priority: Normal

Assignee: Ben Leinfelder
Category: Metacat

Target version: Sprint-2012.09-Block.2.1
Milestone: CCI-1.0.0

Product Version: *

Description

see:

MNodeTier2IT/testlsAuthorized_vs_Verified Read__2/
isAuthorized() vs. TierTesting:testObject:Verified READ.4:

http://dev-testing.dataone.org:8080/hudson/job/d1_integration/org.dataone$di_integration/1016/testReport/org.dataone.integration.it/

ClientSubjectCN: 'testPerson' Requesting: 'READ' => Failed!! Expected: 'true' got: 'NotAuthorized'

testPerson has the verified flag set in subjectinfo.

could this be a deployment issue? Not sure if demo[1-4] mn's are up-to-date.

History

#1 - 2012-03-09 19:39 - Ben Leinfelder

Chris' comment on a different bug:

"I've updated isAuthorized() to insert the symbolic verified user into the equivalent subject list for each person listed (not just the primary). Wrote a
metacat test that now succeeds in this scenario. Needs to be tested via d1_integration."

Probably able to close after checking MN integration test.

#2 - 2012-03-13 19:04 - Ben Leinfelder

In the test case that we are seeing this error, the person requesting access is the "mapped" equivalent identity. This user is not verified, but the

original person to whom they are mapped is verified.
| actually thought we had concluded that "verified" is NOT transitive.
At any rate Metacat is not honoring transitive verification at this point.

#3 - 2012-03-13 19:05 - Ben Leinfelder

- Assignee changed from Chris Jones to Ben Leinfelder

#4 - 2012-03-13 19:48 - Ben Leinfelder

- Status changed from New to Closed

Now verified is transitive. Reopen if this needs to be changed.

2024-04-09

1/1



http://dev-testing.dataone.org:8080/hudson/job/d1_integration/org.dataone%24d1_integration/1016/testReport/org.dataone.integration.it/MNodeTier2IT/testIsAuthorized_vs_VerifiedRead_2/
http://dev-testing.dataone.org:8080/hudson/job/d1_integration/org.dataone%24d1_integration/1016/testReport/org.dataone.integration.it/MNodeTier2IT/testIsAuthorized_vs_VerifiedRead_2/
http://www.tcpdf.org

